> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutazione: Esporta ZonesMap come Shapefile compresso

Genera un archivio ZIP con la "ZonesMap" selezionata in formato shapefile.

{% hint style="info" %}
L’archivio contiene file \*.shp, \*.shx, \*.prj e \*.dbf nel sistema di riferimento EPSG:4326.
{% endhint %}

### 1. Preparazione

* L’attributo `vectorAnalysisMaps` contiene un array di oggetti ZonesMaps (VectorAnalysisMaps) da esportare. Ogni oggetto include una coppia di `fieldUuid` (collegamento al campo selezionato) e `uuid` (collegamento alla ZonesMap selezionata).
* L’attributo booleano `asMultiGeometry` determina se le zone vengono esportate come `Polygons` o come `MultiPolygons` (se impostato su `true` ).
* L’attributo booleano `onlyProductColumns` specifica se includere nello shapefile solo le colonne con prodotti (RX) (quando `true`). In caso contrario, tutte le colonne degli attributi statistici e degli ID delle zone saranno incluse.
* L’attributo `archiveName` contiene il nome dell’archivio ZIP generato.
* L’attributo `filePostfix` consente di aggiungere suffissi personalizzati ai file esportati e all’archivio.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Scaricare l’archivio generato

Dopo aver eseguito la query GraphQL, è possibile scaricare l’archivio usando `curl` o un metodo analogo.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/it/documentazione-api/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
